﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Drawing2D;

namespace howto_print_to_pdf
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private int NextPage = 0;

        private void btnPrintToPdf_Click(object sender, EventArgs e)
        {
            NextPage = 0;
            pdocShapes.PrinterSettings.PrinterName = "Microsoft Print to PDF";
            pdocShapes.Print();
        }

        private void pdocShapes_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
        {
            e.Graphics.SmoothingMode = SmoothingMode.AntiAlias;
            switch (NextPage)
            {
                case 0:
                    using (Pen pen = new Pen(Color.Red,10))
                    {
                        e.Graphics.DrawEllipse(pen, e.MarginBounds);
                    }
                    break;

                case 1:
                    using (Pen pen = new Pen(Color.Green, 10))
                    {
                        e.Graphics.DrawRectangle(pen, e.MarginBounds);
                    }
                    break;

                case 2:
                    using (Pen pen = new Pen(Color.Blue, 10))
                    {
                        Point[] points =
                        {
                            new Point(
                                e.MarginBounds.Left,
                                e.MarginBounds.Top + e.MarginBounds.Height / 2),
                            new Point(
                                e.MarginBounds.Left + e.MarginBounds.Width / 2,
                                e.MarginBounds.Top),
                            new Point(
                                e.MarginBounds.Right,
                                e.MarginBounds.Top + e.MarginBounds.Height / 2),
                            new Point(
                                e.MarginBounds.Left + e.MarginBounds.Width / 2,
                                e.MarginBounds.Bottom),
                        };
                        e.Graphics.DrawPolygon(pen, points);
                    }
                    break;
            }
            NextPage++;
            e.HasMorePages = (NextPage <= 2);
        }
    }
}
